# octans

**`octans`: Observed CalculaTed diagrAm aNd lightcurveS**

Octans is a software package designed to simplify the analysis of astronomical light curves. It automates the process of finding minima times, a crucial step in understanding the variations in brightness of celestial objects. 

**Key Features:**

* **Automated Minima Detection:** Octans employs powerful algorithms to accurately identify minima (dips in brightness) within light curves. This eliminates the need for manual analysis, saving you time and effort.
* **Database Connectivity:** Octans seamlessly connects to various astronomical databases, allowing you to retrieve light curves for your target objects directly within the software. This eliminates the need for separate data downloads and streamlines your workflow.

**Overall, Octans empowers astronomers with a user-friendly and efficient solution for light curve analysis.**

## Installation

Octans provides multiple installation methods to fit your needs:

**Method 1: Using Git (For Developers and Advanced Users):**

1. **Clone the Repository:** Open your terminal and run the following command to download the latest code from GitHub:

```bash
git clone https://github.com/mshemuni/octans.git
```

2. **Install in Editable Mode:** Navigate to the downloaded directory (`octans`) and run this command to install Octans in editable mode, allowing you to make changes to the code without reinstalling:

```bash
pip install -e .
```

**Method 2: Using pip (Recommended for Most Users):**

This method is the simplest and recommended for most users. Once a stable release of Octans is available, you'll be able to install it directly from the Python Package Index (PyPI) using pip:

```bash
pip install octans  # (Coming Soon)
```

**Stay Tuned!**

The `pip install octans` method will be available soon, offering the most convenient installation experience. Watch for updates!

## Examples

Examples can be found in jupyter notebooks here:

- XLightCurve
- Sky
- Portal

## Contact

For further information contact me.